Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.util
Class ImageParameters

    java.lang.Object
      org.pdfbox.util.ImageParameters

public class ImageParameters
extends Object

This contains all of the image parameters for in inlined image.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`ImageParameters()` Constructor.
`ImageParameters(COSDictionary params)` Constructor.

Method Summary
`int` | `getBitsPerComponent()` The bits per component of this image.
`PDColorSpace` | `getColorSpace()` This will get the color space or null if none exists.
`COSDictionary` | `getDictionary()` This will get the dictionary that stores the image parameters.
`List` | `getFilters()` This will get the list of filters that are associated with this stream.
`int` | `getHeight()` The height of this image.
`int` | `getWidth()` The width of this image.
`void` | `setBitsPerComponent(int bpc)` Set the number of bits per component.
`void` | `setColorSpace(PDColorSpace cs)` This will set the color space for this image.
`void` | `setFilters(List filters)` This will set the filters that are part of this stream.
`void` | `setHeight(int h)` Set the height of the image.
`void` | `setWidth(int w)` Set the width of the image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageParameters

    public ImageParameters()

  Constructor.

### ImageParameters

    public ImageParameters(COSDictionary params)

  Constructor.

Parameters:
  `params` - The image parameters.

Method Detail

### getDictionary

    public COSDictionary getDictionary()

  This will get the dictionary that stores the image parameters.

  Returns:
    The COS dictionary that stores the image parameters.

### getBitsPerComponent

    public int getBitsPerComponent()

  The bits per component of this image. This will return -1 if one has not been set.

  Returns:
    The number of bits per component.

### setBitsPerComponent

    public void setBitsPerComponent(int bpc)

  Set the number of bits per component.

  Parameters:
    `bpc` - The number of bits per component.

### getColorSpace

    public PDColorSpace getColorSpace()
                               throws IOException

  This will get the color space or null if none exists.

  Returns:
    The color space for this image.
  Throws:
    `IOException` - If there is an error getting the colorspace.

### setColorSpace

    public void setColorSpace(PDColorSpace cs)

  This will set the color space for this image.

  Parameters:
    `cs` - The color space for this image.

### getHeight

    public int getHeight()

  The height of this image. This will return -1 if one has not been set.

  Returns:
    The height.

### setHeight

    public void setHeight(int h)

  Set the height of the image.

  Parameters:
    `h` - The height of the image.

### getWidth

    public int getWidth()

  The width of this image. This will return -1 if one has not been set.

  Returns:
    The width.

### setWidth

    public void setWidth(int w)

  Set the width of the image.

  Parameters:
    `w` - The width of the image.

### getFilters

    public List getFilters()

  This will get the list of filters that are associated with this stream. Or null if there are none.

  Returns:
    A list of all encoding filters to apply to this stream.

### setFilters

    public void setFilters(List filters)

  This will set the filters that are part of this stream.

  Parameters:
    `filters` - The filters that are part of this stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD